# Getting Started with CocosBuilder 3
Thank you for downloading CocosBuilder 3! CocosBuilder is a great, free (MIT license) tool for creating interfaces, animations, scenes, level maps, particle systems or just about anything you can imagine. You can use CocosBuilder together with Cocos2d for JavaScript, which will run on HTML5, iOS and Android, cocos2d-iphone or cocos2d-x.

**You can get back to this guide at anytime by selecting *CocosBuilder Documentation* from the *Help* menu.**

![image](1-1.png?raw=true)

## CocosPlayer and Cocos2d for JavaScript
The easiest way to use CocosBuilder is together with Cocos2d for JavaScript. Download the CocosBuilder source code which includes the CocosPlayer project. Run CocosPlayer on either your device or in Simulator. CocosBuilder will automatically pair with CocosPlayer if they are running on the same wifi network. If more than one computer on the same network are running CocosBuilder, use codes to pair the devices with CocosBuilder.

Good examples to get started with CocosBuilder and Cocos2d for JavaScript are the CocosDragonJS project and CrystalCraze. You will also find the API documentation for Cocos2d for JavaScript in the Help menu.

## Get Cocos2d and CCBReader
To use CocosBuilder with cocos2d-iphone or cocos2d-x you will need to download the CCBReader. CCBReader is a set of classes that parses the files that CocosBuilder exports and builds your cocos2d node graphs for you. It will also handle any animations that you create. [Download the CCBReader and examples](http://cocosbuilder.com/?page_id=11) compatible with this version of CocosBuilder.

A good way to learn how to use CocosBuilder together with cocos2d is to checkout and read the examples, they are very well commented and easy to understand. Start by opening the *CocosBuilderExample.ccbproj* file located in */CocosBuilderExample/Resources* with CocosBuilder. Then open the *CocosBuilderExample.xcodeproj* with Xcode.

## Tutorials
Links to tutorials for how to use CocosBuilder will be posted on the [CocosBuilder website](http://cocosbuilder.com). At the site you will also find the latest news and other useful information.
